Every M2 object from Cata till BFA (3.3.5a) 1.5.0

   (5 reviews)

Balkron

@Poisonleaf

  • upload your patches to cloud drive, delete here
  • fix all the bugs and errors in the patches please
  • if you aren't sure that patch works perfectly, do not upload it until it's finished

Message added by Balkron

2 Screenshots

About This File

Hiya,

Today I would like to share with you every single m2 from Cata to Legion working on Wrath of the lich king.
Even when it's easy to do it might be something alot of members think they can't do.
Just add the patches to your data folder and be sure to load them into setting in WMV & reload it.
I would say 90% is working so overall a good result.

Patch - W: Cata
Patch - X: MoP
Patch - Y: WoD
Patch - Z: Legion
New:
Patch - V: BFA

Happy Modding.
Poisonleaf

 


What's New in Version 1.5.0   See changelog

Released

Update 25/11/2018

Since the file size restriction is still a thing here (even when there was talk about a fix)
Here is the alt download for Patch-Z Legion.
https://mega.nz/#!NPYVGK5I!1R0zWeGN06ByZgSD2L8qMP-fTE11uLsH-XyUKYrByGM
 

  • Like 11



User Feedback

Recommended Comments

@samsonite18
These are original game files converted to wrath of the lich king.
I am fully aware that some are not working correctly hence why the main post says so.
It's a matter of missing texture that I havn't been able to track down yet.

Share this comment


Link to comment
Share on other sites

patch-w.mpq and patch-y.mpq says that the format is wrong or invalid when i open it with MPQ Editor

Share this comment


Link to comment
Share on other sites

 

MPQEditor does not open Y and Z. It says that this is the wrong file format. What to do?

Share this comment


Link to comment
Share on other sites
On 22-8-2018 at 11:51 PM, aramiel said:

patch-w.mpq and patch-y.mpq says that the format is wrong or invalid when i open it with MPQ Editor

 

On 1-9-2018 at 7:13 PM, Lil_Doom said:

 

MPQEditor does not open Y and Z. It says that this is the wrong file format. What to do?

Are you guys using a x86 windows or is your MPQeditor up to date?
Cause for alot of people these patches are working fine.
Note that my MPQeditor is 3.5.1.794

Share this comment


Link to comment
Share on other sites

I used the latest version of MPQEditor. And he also gives an error. Also, I downloaded your version of MPQEditor and x32 and x64 is still an error when opening.
Win10 x64

Share this comment


Link to comment
Share on other sites

I also can not open your mpq with tileset. Can I ask you with all my heart to help me solve this problem?

Share this comment


Link to comment
Share on other sites
On 11-9-2018 at 6:28 PM, Lil_Doom said:

patch-V same gives an error

I'm thinking about what it could be when ever I have some free time but atm I'm out of idea's.

Share this comment


Link to comment
Share on other sites
On 12.09.2018 at 1:45 AM, Poisonleaf said:

I'm thinking about what it could be when ever I have some free time but atm I'm out of idea's.

 

Can you give a link to your MPQEditor?

Share this comment


Link to comment
Share on other sites

Hello, I think the problem isn't in MPQEditor or in files itself, but in downloading process. For some reason download ends too soon, so file is not fully downloaded and that is the reason, why MPQ Editor can't open file with patch. I have issues with opening patch-Z and patch-V because of that. Maybe from another download server it could work.

Share this comment


Link to comment
Share on other sites
On 10/22/2018 at 3:11 PM, Hobbilis said:

Hey @Poisonleaf Thanks for this!

Any chance you could provide a package like this but with WMO's?

Hey man, I hope very soon when I find some time to finish it off.
Glad you liked it!.

Share this comment


Link to comment
Share on other sites

Hi there, I think the file "Patch-Z" for Legion models was the incorrect version as Ladiik's mpq editor cannot open this downloaded file. I believe that's what the above posters are trying to say.

 

Trying to open the file provides the following error, :
"Failed to open the MPQ 'C:/filepath/Patch-Z.mpq'.

An attempt was made to load a program with an incorrect format."

Gif displaying the error:

161ddf6680482205f1f080ce5a847ff3.gif

 

This issue is indeed consistent with the Legion patch as well, since I can open the BFA patch.

Share this comment


Link to comment
Share on other sites
On 11/12/2018 at 7:14 AM, GrimReapaa said:

Hi there, I think the file "Patch-Z" for Legion models was the incorrect version as Ladiik's mpq editor cannot open this downloaded file. I believe that's what the above posters are trying to say.

 

Trying to open the file provides the following error, :
"Failed to open the MPQ 'C:/filepath/Patch-Z.mpq'.

An attempt was made to load a program with an incorrect format."

Gif displaying the error:

161ddf6680482205f1f080ce5a847ff3.gif

 

This issue is indeed consistent with the Legion patch as well, since I can open the BFA patch.

Hey sorry for the late response.
Sadly this is a common issue that comes from the website itself.
It doesn't let you fully download the file because of a file size restriction MW has.
Alt download can be found here: https://mega.nz/#!NPYVGK5I!1R0zWeGN06ByZgSD2L8qMP-fTE11uLsH-XyUKYrByGM

Share this comment


Link to comment
Share on other sites

What does it mean by "Just add the patches to your data folder and be sure to load them into setting in WMV & reload it."

 

I know the patch vice, but what do u mean by "load them into setting in WMV" ?? ehhh this is not a movie.. its blp, and mp2 files xD... and hows that gonna help me open it in noggit ? 

Share this comment


Link to comment
Share on other sites
On 1/15/2019 at 4:10 PM, chyssler said:

What does it mean by "Just add the patches to your data folder and be sure to load them into setting in WMV & reload it."

 

I know the patch vice, but what do u mean by "load them into setting in WMV" ?? ehhh this is not a movie.. its blp, and mp2 files xD... and hows that gonna help me open it in noggit ? 

You use WMV to import objects into noggit (that's one option alot of people use atleast)
To be able to do so you'll need to add the patches to WMV aswell in order for WMV to load said patches.

Share this comment


Link to comment
Share on other sites

Half of BFA patch is not working, dont download it. I can help you by listing what is not working if you want poisonleaf.

 

Share this comment


Link to comment
Share on other sites

Would be sick if you could port over all the new models from wsg/ab that got updated recently.

Share this comment


Link to comment
Share on other sites

Hi there! This is a very useful release, but maybe, you could include ground effect models as well? That would be awesome.

Share this comment


Link to comment
Share on other sites

how does this work? I added it in the data folder and opened with WMV but it doesn't seem like the textures got added in my games...

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now